

-- Generated by Relational Schema Center on Thu Jul 11 11:03:53 EDT 2002


CREATE TABLE POLICYTC
  (TERMCOND_ID BIGINT NOT NULL,
   POLICY_ID BIGINT NOT NULL);

ALTER TABLE POLICYTC
  ADD CONSTRAINT POLICYTC PRIMARY KEY (POLICY_ID, TERMCOND_ID);

CREATE TABLE CNTRDISPLY
  (CNTRDISPLY_ID BIGINT NOT NULL,
   CONTRACT_ID BIGINT NOT NULL,
   DEVICEFMT_ID INTEGER NOT NULL,
   PARTROLE_ID INTEGER,
   DISPLAYPAGENAME VARCHAR(254));

ALTER TABLE CNTRDISPLY
  ADD CONSTRAINT CNTRDISPLY PRIMARY KEY (CNTRDISPLY_ID);

CREATE TABLE ATTACHMENT
  (ATTACHMENT_ID BIGINT NOT NULL,
   ATTACHMENTURL VARCHAR(254) NOT NULL,
   MEMBER_ID BIGINT NOT NULL,
   ATTACHUSG_ID CHARACTER(64),
   MIMETYPE VARCHAR(254),
   MIMETYPEENCODING VARCHAR(128),
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP);

ALTER TABLE ATTACHMENT
  ADD CONSTRAINT ATTACHMENT PRIMARY KEY (ATTACHMENT_ID);

CREATE TABLE TERMCOND
  (TERMCOND_ID BIGINT NOT NULL,
   TCSUBTYPE_ID CHARACTER(64),
   TRADING_ID BIGINT NOT NULL,
   MANDATORY INTEGER NOT NULL,
   CHANGEABLE INTEGER NOT NULL,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP,
   STRINGFIELD1 VARCHAR(3000),
   STRINGFIELD2 VARCHAR(254),
   STRINGFIELD3 VARCHAR(254),
   INTEGERFIELD1 INTEGER,
   INTEGERFIELD2 INTEGER,
   INTEGERFIELD3 INTEGER,
   BIGINTFIELD1 BIGINT,
   BIGINTFIELD2 BIGINT,
   BIGINTFIELD3 BIGINT,
   FLOATFIELD1 DOUBLE,
   FLOATFIELD2 DOUBLE,
   FLOATFIELD3 DOUBLE,
   TIMEFIELD1 TIMESTAMP,
   TIMEFIELD2 TIMESTAMP,
   DECIMALFIELD1 DECIMAL(20, 5),
   DECIMALFIELD2 DECIMAL(20, 5),
   TIMEFIELD3 TIMESTAMP,
   DECIMALFIELD3 DECIMAL(20, 5),
   SEQUENCE INTEGER NOT NULL);

ALTER TABLE TERMCOND
  ADD CONSTRAINT TERMCOND PRIMARY KEY (TERMCOND_ID);

CREATE TABLE PARTICIPNT
  (PARTICIPNT_ID BIGINT NOT NULL,
   MEMBER_ID BIGINT,
   PARTROLE_ID INTEGER NOT NULL,
   TRADING_ID BIGINT,
   TERMCOND_ID BIGINT,
   INFORMATION LONG VARCHAR,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP);

ALTER TABLE PARTICIPNT
  ADD CONSTRAINT PARTICIPNT PRIMARY KEY (PARTICIPNT_ID);

CREATE TABLE TRADING
  (TRADING_ID BIGINT NOT NULL,
   TRDTYPE_ID INTEGER NOT NULL,
   ACCOUNT_ID BIGINT,
   CREDITALLOWED INTEGER NOT NULL,
   STATE INTEGER NOT NULL,
   MARKFORDELETE INTEGER NOT NULL,
   REFERENCECOUNT INTEGER NOT NULL,
   STARTTIME TIMESTAMP,
   ENDTIME TIMESTAMP);

ALTER TABLE TRADING
  ADD CONSTRAINT TRADING PRIMARY KEY (TRADING_ID);

CREATE TABLE TCDESC
  (TERMCOND_ID BIGINT NOT NULL,
   LANGUAGE_ID INTEGER NOT NULL,
   DESCRIPTION VARCHAR(254),
   LONGDESCRIPTION LONG VARCHAR,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP);

ALTER TABLE TCDESC
  ADD CONSTRAINT TCDESC PRIMARY KEY (LANGUAGE_ID, TERMCOND_ID);

CREATE TABLE PURCHASELT
  (PURCHASELT_ID BIGINT NOT NULL,
   TERMCOND_ID BIGINT NOT NULL,
   TRADEPOSCN_ID BIGINT NOT NULL,
   CATENTRY_ID BIGINT NOT NULL,
   LIMITTYPE CHARACTER(1) NOT NULL,
   CURRENCY CHARACTER(3),
   MINAMOUNT DECIMAL(20, 5),
   MAXAMOUNT DECIMAL(20, 5),
   CURRENTAMOUNT DECIMAL(20, 5),
   MINQUANTITY DOUBLE,
   MAXQUANTITY DOUBLE,
   CURRENTQUANTITY DOUBLE);

ALTER TABLE PURCHASELT
  ADD CONSTRAINT PURCHASELT PRIMARY KEY (PURCHASELT_ID);

CREATE TABLE AWARD
  (MEMBER_ID BIGINT NOT NULL,
   TRADING_ID BIGINT NOT NULL,
   AWARDPOINT INTEGER NOT NULL);

ALTER TABLE AWARD
  ADD CONSTRAINT AWARD PRIMARY KEY (MEMBER_ID, TRADING_ID);

CREATE TABLE STORECNTR
  (CONTRACT_ID BIGINT NOT NULL,
   STORE_ID INTEGER NOT NULL);

ALTER TABLE STORECNTR
  ADD CONSTRAINT STORECNTR PRIMARY KEY (CONTRACT_ID, STORE_ID);

CREATE TABLE POLICYDESC
  (POLICY_ID BIGINT NOT NULL,
   LANGUAGE_ID INTEGER NOT NULL,
   DESCRIPTION VARCHAR(254) NOT NULL,
   LONGDESCRIPTION LONG VARCHAR,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP);

ALTER TABLE POLICYDESC
  ADD CONSTRAINT POLICYDESC PRIMARY KEY (LANGUAGE_ID, POLICY_ID);

CREATE TABLE POLICY
  (POLICY_ID BIGINT NOT NULL,
   POLICYNAME VARCHAR(128) NOT NULL,
   POLICYTYPE_ID CHARACTER(64) NOT NULL,
   STOREENT_ID INTEGER NOT NULL,
   PROPERTIES VARCHAR(254),
   STARTTIME TIMESTAMP,
   ENDTIME TIMESTAMP);

ALTER TABLE POLICY
  ADD CONSTRAINT POLICY PRIMARY KEY (POLICY_ID);

CREATE TABLE TRDDESC
  (TRADING_ID BIGINT NOT NULL,
   LANGUAGE_ID INTEGER NOT NULL,
   DESCRIPTION VARCHAR(254),
   LONGDESCRIPTION LONG VARCHAR,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP);

ALTER TABLE TRDDESC
  ADD CONSTRAINT TRDDESC PRIMARY KEY (LANGUAGE_ID, TRADING_ID);

CREATE TABLE CONTRACT
  (CONTRACT_ID BIGINT NOT NULL,
   MAJORVERSION INTEGER NOT NULL,
   MINORVERSION INTEGER NOT NULL,
   NAME VARCHAR(200) NOT NULL,
   MEMBER_ID BIGINT NOT NULL,
   ORIGIN INTEGER NOT NULL,
   STATE INTEGER NOT NULL,
   USAGE INTEGER NOT NULL,
   MARKFORDELETE INTEGER NOT NULL,
   COMMENTS LONG VARCHAR,
   TIMECREATED TIMESTAMP,
   TIMEUPDATED TIMESTAMP,
   TIMEAPPROVED TIMESTAMP,
   TIMEACTIVATED TIMESTAMP,
   TIMEDEPLOYED TIMESTAMP);

ALTER TABLE CONTRACT
  ADD CONSTRAINT CONTRACT PRIMARY KEY (CONTRACT_ID);

CREATE TABLE POLICYCMD
  (POLICY_ID BIGINT NOT NULL,
   BUSINESSCMDCLASS VARCHAR(200) NOT NULL,
   PROPERTIES VARCHAR(254));

ALTER TABLE POLICYCMD
  ADD CONSTRAINT POLICYCMD PRIMARY KEY (BUSINESSCMDCLASS, POLICY_ID);

CREATE TABLE TRDATTACH
  (TRADING_ID BIGINT NOT NULL,
   ATTACHMENT_ID BIGINT NOT NULL);

ALTER TABLE TRDATTACH
  ADD CONSTRAINT TRDATTACH PRIMARY KEY (ATTACHMENT_ID, TRADING_ID);