<!--==========================================================================
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------
//*
  ===========================================================================-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<%@page language="JAVA" 
import="com.ibm.commerce.tools.util.UIUtil,
	com.ibm.commerce.beans.DataBeanManager,
	com.ibm.commerce.tools.contract.beans.MemberDataBean,
	com.mycompany.award.AwardRedemptionTCDataBean"
%>

<%@include file="../common/common.jsp" %>
<%@include file="ContractCommon.jsp" %>

<HTML>

<HEAD>
 <%= fHeader %>
 <LINK rel="stylesheet" href="<%= UIUtil.getCSSFile(fLocale) %>" type="text/css">

 <TITLE><%= contractsRB.get("AwardRedemptionTCHeading") %></TITLE>
 <SCRIPT LANGUAGE="JavaScript" SRC="/wcs/javascript/tools/common/Util.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="/wcs/javascript/tools/contract/ContractUtil.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="/wcs/javascript/tools/contract/Extensions.js"></SCRIPT>
 

<SCRIPT LANGUAGE="JavaScript">

var AwardRedemptionTCModel;

///////////////////////////////////////
// LOAD-SAVE-VALIDATE SCRIPTS
///////////////////////////////////////
function onLoad() {
   
   if (parent.setContentFrameLoaded) {
       parent.setContentFrameLoaded(true);
   }

   // Check to see if the model has already been loaded
   var isModelLoaded = parent.get("ContractAwardRedemptionModelLoaded", null);

   if (isModelLoaded) {
       // Returning to this page, reload from the model
       // Get the model
       AwardRedemptionTCModel = parent.get("ContractAwardRedemptionModel", null);
   } 
   else {
       // First visit to this page, create the model

       // Create the model to store the AwardRedemptionTC data
       AwardRedemptionTCModel = new ContractAwardRedemptionModel();

       // Persist the model
       parent.put("ContractAwardRedemptionModel", AwardRedemptionTCModel); 
       parent.put("ContractAwardRedemptionModelLoaded", true);


	// Check if this is an update of the contract
	if (<%= foundContractId %> == true) {
		// Load the data from the databean
		<%
		if (foundContractId) {
			AwardRedemptionTCDataBean tc = new AwardRedemptionTCDataBean(new Long(contractId));
			DataBeanManager.activate(tc, request);
			if (tc.getHasAwardRedemptionTC()) {
		%>
				AwardRedemptionTCModel.value = '<%= UIUtil.toJavaScript((String)tc.getValue()) %>';
				AwardRedemptionTCModel.currency = '<%= UIUtil.toJavaScript((String)tc.getCurrency()) %>';
				AwardRedemptionTCModel.point = '<%= UIUtil.toJavaScript((String)tc.getPoint()) %>';
				AwardRedemptionTCModel.tcReferenceNumber = '<%= tc.getReferenceNumber() %>';
		<%
			}
		}
		%>
	}

   }
    
   loadPanelData();

    // handle error messages back from the validate page
    if (parent.get("pointEmpty", false))
     {
      parent.remove("pointEmpty");
      alertDialog("<%= UIUtil.toJavaScript((String)contractsRB.get("pointEmpty"))%>");
     }
    else if (parent.get("valueEmpty", false))
     {
      parent.remove("valueEmpty");
      alertDialog("<%= UIUtil.toJavaScript((String)contractsRB.get("valueEmpty"))%>");
     } 
    else if (parent.get("currencyEmpty", false))
     {
      parent.remove("currencyEmpty");
      alertDialog("<%= UIUtil.toJavaScript((String)contractsRB.get("currencyEmpty"))%>");
     } 
    else if (parent.get("contractAwardTCSpecifyCurrencyValue", false))
     {
      parent.remove("contractAwardTCSpecifyCurrencyValue");
      alertDialog("<%= UIUtil.toJavaScript((String)contractsRB.get("contractAwardTCSpecifyCurrencyValue"))%>");
     } 
   
   return; 
}

function loadPanelData() {

	// Set the input fields
	document.AwardRedemptionTCForm.Value.value = AwardRedemptionTCModel.value;
	document.AwardRedemptionTCForm.Point.value = AwardRedemptionTCModel.point;
    	// set all the the pulldowns
    	loadSelectValue(document.AwardRedemptionTCForm.Currency, AwardRedemptionTCModel.currency);

}

function savePanelData() {
    AwardRedemptionTCModel.value = document.AwardRedemptionTCForm.Value.value;
    AwardRedemptionTCModel.point = document.AwardRedemptionTCForm.Point.value;
    
    var selectedActionIndex = document.AwardRedemptionTCForm.Currency.selectedIndex;
    AwardRedemptionTCModel.currency = document.AwardRedemptionTCForm.Currency.options[selectedActionIndex].value;

}
</SCRIPT>

</HEAD>

<!--
///////////////////////////////////////
// HTML SECTION
///////////////////////////////////////
-->

<BODY onLoad="onLoad()" class="content">

   <H1>
   <%= contractsRB.get("AwardRedemptionTCHeading") %>          
   </H1>

<FORM NAME="AwardRedemptionTCForm">

   <%= contractsRB.get("AwardRedemptionTCValueLabel") %>  
   <BR>
   <INPUT type=text name=Value value="" size=10 maxlength=10>
   <BR><BR>
  
   <%= contractsRB.get("AwardRedemptionTCCurrencyLabel") %>  
   <BR>
   <SELECT size=1 name=Currency>
	<SCRIPT>
	var ccdm = parent.get("ContractCommonDataModel");
	for (i = 0; i < ccdm.storeCurrArray.length; i++)
	  document.write('<OPTION value="' + ccdm.storeCurrArray[i] + '">' + ccdm.storeCurrArray[i] + '</OPTION>');
	</SCRIPT>
   </SELECT>
   <BR><BR>
    
   <%= contractsRB.get("AwardRedemptionTCPointLabel") %>  
   <BR>
   <INPUT type=text name=Point value="" size=10 maxlength=10>
   <BR>
   

</FORM>

</BODY>
</HTML>


