<!--==========================================================================
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2001, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
  ===========================================================================-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<%@page language="JAVA"
import="com.ibm.commerce.tools.util.UIUtil,
	com.ibm.commerce.common.objects.StoreAccessBean,
	com.ibm.commerce.common.beans.StoreDataBean,
	com.ibm.commerce.catalog.beans.CatalogDataBean,
	com.ibm.commerce.user.beans.AddressDataBean,
	com.ibm.commerce.tools.contract.beans.PolicyDataBean,
	com.ibm.commerce.tools.contract.beans.CategoryPricingTCDataBean,
	com.ibm.commerce.tools.contract.beans.CustomPricingTCDataBean,
	com.ibm.commerce.tools.contract.beans.OrderApprovalTCDataBean,
	com.ibm.commerce.tools.contract.beans.ReturnTCDataBean,
	com.ibm.commerce.tools.contract.beans.ShippingTCShippingModeDataBean,
	com.ibm.commerce.tools.contract.beans.ShippingTCShippingChargeDataBean,
	com.ibm.commerce.tools.contract.beans.ShippingTCShipToAddressDataBean,
	com.ibm.commerce.tools.contract.beans.InvoicingTCDataBean,
	com.ibm.commerce.tools.contract.beans.PurchaseOrderTCDataBean,
	com.ibm.commerce.tools.contract.beans.ProductSetTCDataBean,
	com.ibm.commerce.tools.contract.beans.CustomProductSetDataBean,
	com.ibm.commerce.catalog.objects.ItemAccessBean,
	com.ibm.commerce.catalog.objects.CatalogEntryAccessBean,
	com.ibm.commerce.catalog.objects.CatalogEntryDescriptionAccessBean,
	com.ibm.commerce.catalog.objects.CatalogGroupAccessBean,
	com.ibm.commerce.catalog.objects.CatalogGroupDescriptionAccessBean,
	com.ibm.commerce.tools.contract.beans.PaymentTCDataBean,
	com.ibm.commerce.utils.TimestampHelper,
	com.ibm.commerce.beans.DataBeanManager,
	com.ibm.commerce.price.utils.*,
	com.ibm.commerce.tools.contract.beans.AccountDataBean,
	com.ibm.commerce.tools.contract.beans.ContractDataBean,
	com.mycompany.award.*" %>
	

<%@include file="../common/common.jsp" %>
<%@include file="ContractCommon.jsp" %>

 <SCRIPT LANGUAGE="JavaScript">

function loadPanelData()
 {
    if (parent.setContentFrameLoaded)
     {
      parent.setContentFrameLoaded(true);
     }
 }

function changeSpecialText(rawDisplayText, spaces, textOne, textTwo, textThree, textFour) {
    var displayText = rawDisplayText.replace(/%1/, textOne);
    if (textTwo != null)
	    displayText = displayText.replace(/%2/, textTwo);
    if (textThree != null)
	    displayText = displayText.replace(/%3/, textThree);
    if (textFour != null)
	    displayText = displayText.replace(/%4/, textFour);
    if (spaces == true)
	    document.writeln("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + displayText);
    else
	    document.writeln(displayText);
}

function formatAdjustmentValue(adj) {

    if (adj > 0) {
        return "+"+adj;
    } else if (adj == '') {
	return "0";
    }
    else {
        return adj;
    }
}
</SCRIPT>

<HTML>

<HEAD>
 <%= fHeader %>
 <LINK rel="stylesheet" href="<%= UIUtil.getCSSFile(fLocale) %>" type="text/css">

 <TITLE><%= contractsRB.get("contractSummaryTitle") %></TITLE>
 <SCRIPT LANGUAGE="JavaScript" SRC="/wcs/javascript/tools/common/Util.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="/wcs/javascript/tools/contract/ContractUtil.js"></SCRIPT>

</HEAD>

<BODY ONLOAD="loadPanelData()" class="content">

<H1><%= contractsRB.get("contractSummaryTitle") %></H1>

<% Long contractAccountId = null; %>

<% try {
    ContractDataBean contract = new ContractDataBean(new Long(contractId), new Integer(fLanguageId));
    DataBeanManager.activate(contract, request);

    contractAccountId = contract.getAccountId();
%>
  <H1><%= contractsRB.get("contractGeneralPanelPrompt") %></H1>

	<%= contractsRB.get("summaryContractName") %> <I><%= contract.getContractName() %></I><BR>
	<% if (contract.getContractTitle() != null) { %>
		<%= contractsRB.get("summaryContractShortDescription") %> <I><%= contract.getContractTitle() %></I><BR>
	<% } else { %>
		<%= contractsRB.get("summaryContractShortDescription") %><BR>
	<% } %>
	<%= contractsRB.get("summaryContractDescription") %> <I><SCRIPT>document.writeln(decodeNewLinesForHtml('<%= UIUtil.toJavaScript(contract.getContractDescription()) %>'))</SCRIPT></I><BR>
	<% if (contract.getStartDate() != null) { %>
		<%= contractsRB.get("summaryContractStartDate") %> <I><%= TimestampHelper.getDateTimeFromTimestamp(contract.getStartDate(), fLocale) %></I><BR>
	<% } else { %>
		<%= contractsRB.get("summaryContractStartDate") %><BR>
	<% } %>
	<% if (contract.getEndDate() == null) { %>
		<%= contractsRB.get("summaryContractEndDateNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryContractEndDateAllowed") %> <I><%= TimestampHelper.getDateTimeFromTimestamp(contract.getEndDate(), fLocale) %></I><BR>
	<% } %>

  <H1><%= contractsRB.get("contractBuyerPanelPrompt") %></H1>
	<% if (contract.getBuyerName() == null || contract.getBuyerName().size() == 0) { %>
		<%= contractsRB.get("summaryContractBuyerOrganizationsNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryContractBuyerOrganizationsAllowed") %><BR>
		<% for (int i = 0; i < contract.getBuyerName().size(); i++) { %>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= contract.getBuyerName(i) %></I><BR>
		<% } %>
	<% } %>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	CategoryPricingTCDataBean tcData = new CategoryPricingTCDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>
  <H1><%= contractsRB.get("contractPriceListTitle") %></H1>

	<% if (tcData.getMasterCatalogAdjustments().size() + 
		tcData.getSelectiveAdjustments().size() +
		tcData.getCustomAdjustments().size() == 0) { %>
		<%= contractsRB.get("summaryCatalogPricingNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryCatalogPricingAllowed") %><BR>
	<%		// MASTER CATALOG PRICE TCs
	                for (int i = 0; i < tcData.getMasterCatalogAdjustments().size(); i++) {
				Vector tcElement = tcData.getMasterCatalogAdjustment(i);
	%>
		<I><SCRIPT>changeSpecialText('<%= UIUtil.toJavaScript((String)contractsRB.get("summaryCatalogPricingCategory")) %>',
					     true,
					     '<%= UIUtil.toJavaScript((String)contractsRB.get("contractPricingAllCategoriesLabel")) %>',
					     formatAdjustmentValue('<%= tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_ADJUSTMENT_VALUE) %>'));
		</SCRIPT></I><BR>
	<%		}
	                // SELECTIVE ADJUSTMENT PRICE TCs
                        for (int i = 0; i < tcData.getSelectiveAdjustments().size(); i++) {
                            Vector tcElement = tcData.getSelectiveAdjustment(i);

                            //
                            // SELECTIVE ADJUSTMENT PRICE TCS (/w STANDARD PRODUCT SET)
                            //
                            String priceTCtype = (String)tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_TYPE);
                
                            if (priceTCtype.equals("standardPriceTC")) {
                                	PolicyDataBean psPDB = (PolicyDataBean)tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_PRODUCTSET_POLICY_DB);
	%>
					<I><SCRIPT>changeSpecialText('<%= UIUtil.toJavaScript((String)contractsRB.get("summaryCatalogPricingCategory")) %>',
									true,
									'<%= UIUtil.toJavaScript((String)psPDB.getShortDescription()) %>',
									formatAdjustmentValue('<%= tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_ADJUSTMENT_VALUE) %>'));
					</SCRIPT></I></BR>
	<%
	                    }
                            else if (priceTCtype.equals("customPriceTC")) {
		                    // this is a custom product set TC
                		    // get the catentry/catgroups from the databean
		                    CustomProductSetDataBean cpsdb = (CustomProductSetDataBean)tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_PRODUCTSET_SELECTIONS);
	%>
					<I><SCRIPT>changeSpecialText('<%= UIUtil.toJavaScript((String)contractsRB.get("summaryCatalogPricingSubcategoryAndItems")) %>',
									true,
									'',
									formatAdjustmentValue('<%= tcElement.elementAt(CategoryPricingTCDataBean.PRICETC_ADJUSTMENT_VALUE) %>'));
					</SCRIPT></I></BR>
	<%

		                    // create the catalog entries
                		    for (int j = 0; j < cpsdb.getCatalogEntries().size(); j++) {
			                try {
			                            CatalogEntryAccessBean ceab = (CatalogEntryAccessBean)cpsdb.getCatalogEntry(j);
                                                    String partNumber = ceab.getPartNumber();
                                                    String displayText = partNumber;
                                                    try {
                                                        CatalogEntryDescriptionAccessBean cedab = ceab.getDescription(new Integer(fLanguageId));
                                                        displayText = cedab.getShortDescription() + " (" + partNumber + ")";
                                                    }
                                                    catch (Exception e) {
                                                        // if you can't get the NLV short description for the catentry, 
                                                        // then use just use the SKU as the displayText
                                                        // this logic was defaulted above...
                                                    }  
                    %>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
	            <%    		} catch(Exception e) {  }
		                    } // end for

		                    // create the catalog groups
                		    for (int j = 0; j < cpsdb.getCatalogGroups().size(); j++) {
		                          try {
		                            CatalogGroupAccessBean cgab = (CatalogGroupAccessBean)cpsdb.getCatalogGroup(j);
                                            String identifier = cgab.getIdentifier();
                                            String displayText = identifier;
                                            try {
                                                CatalogGroupDescriptionAccessBean cgdab = cgab.getDescription(new Integer(fLanguageId));
                                                displayText = cgdab.getName();
                                            }
                                            catch (Exception e) {
                                                // if you can't get the NLV catgroup name for the catgroup, 
                                                // then use the catgroup identifier as the displayText
                                                // this logic was defaulted above...
                                            }  
                    %>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
                    <%    		} catch(Exception e) { }
		                    } // end for
				} // end else
			} // end for selective
		} // end if
	%>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
        // Create an instance of the databean to use if we are doing an update
	CustomPricingTCDataBean tcData = new CustomPricingTCDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>
  <H1><%= contractsRB.get("contractCustomPriceListTitle") %></H1>
<%
	String[] priceListName = tcData.getPriceListName();
	String[] priceListId = tcData.getPriceListId();
	String[] offerId = tcData.getOfferId();
	if (priceListId == null || priceListId.length == 0) {
%>
		<%= contractsRB.get("summaryCustomPricingNotAllowed") %><BR>
<%	} else { 
%>
		<%= contractsRB.get("summaryCustomPricingAllowed") %><BR>
<%
	}

	StoreAccessBean storeAB = com.ibm.commerce.server.WcsApp.storeRegistry.find(fStoreId);

	if ( (priceListName != null || priceListName.length == 0) && storeAB != null ) {
		CurrencyManager cm = CurrencyManager.getInstance();
		String defaultCurrency = cm.getDefaultCurrency(storeAB, contractCommandContext.getLanguageId());

		// get member id for the master catalog from the store access bean
		String catalogMemberId = "";
		try {
			catalogMemberId = storeAB.getMasterCatalog().getMemberId();
		}
		catch (Exception e) {
			StoreDataBean sdb = new StoreDataBean(storeAB);
			CatalogDataBean cdb[] = sdb.getStoreCatalogs();
			for (int i = 0; i < cdb.length; i++) {
				catalogMemberId = cdb[i].getMemberId();
				break;
			}
		}

		// there should only be one price list for each contract
		for (int i = 0; i < priceListName.length; i++) {
			if (priceListId != null) {
				for (int j = 0; j < priceListId.length; j++) {
					if (priceListId[j].equals(String.valueOf(i))) {
						String productName = "";
						try {
							CatalogEntryAccessBean ceab = new CatalogEntryAccessBean().findByMemberIdAndSKUNumber(new Long(catalogMemberId), tcData.getOfferSkuNumber()[j]);
							productName = ceab.getDescription(contractCommandContext.getLanguageId()).getName();
						}
						catch (Exception e) {
						}
						if (offerId != null) {
							for (int k = 0; k < offerId.length; k++) {
								if (priceListId[j].equals(String.valueOf(i)) && offerId[k].equals(String.valueOf(j))) {
%>
									<I><SCRIPT>if ("<%= defaultCurrency %>" == "<%= tcData.getOfferPriceCurrency()[k] %>") {
											changeSpecialText("<%= UIUtil.toJavaScript((String)contractsRB.get("summaryCustomPricingText")) %>",
											     true,
											     "<%= UIUtil.toJavaScript((String)productName) %>",
											     "<%= UIUtil.toJavaScript((String)tcData.getOfferSkuNumber()[j]) %>",
											     "<%= tcData.getOfferPriceValue()[k] %>",
											     "<%= tcData.getOfferPriceCurrency()[k] %>");
										   }
									</SCRIPT></I><BR>
<%
								} // end if pricelistid
							} // end for
						} // end if offerId
					} // end if pricelist id
				} // end for
			} // end if null
		} // end for
	} // end if pricelistname
%>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
          // Create an instance of the databean to use if we are doing an update
            ProductSetTCDataBean tcData = new ProductSetTCDataBean(new Long(contractId), new Integer(fLanguageId));
            DataBeanManager.activate(tcData, request);
%>

  <H1><%= contractsRB.get("contractPricingConstraintsPanelTitle") %></H1>

	<% if (tcData.getCustomExclusionPS().size() + 
		tcData.getStandardExclusionPS().size() == 0) { %>
		<%= contractsRB.get("summaryProductConstraintsExclusionNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryProductConstraintsExclusionList") %><BR>
	<%
           // rebuild the STANDARD EXCLUSION PS based on the saved contract
            for (int i = 0; i < tcData.getStandardExclusionPS().size(); i++) {
                Vector tcElement = tcData.getStandardExclusionPS(i);
                                                 
                // this is a standard product set TC
          %>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= tcElement.elementAt(ProductSetTCDataBean.PRODUCTSET_TC_PRODUCTSET_POLICY_SHORT_DESCRIPTION) %></I><BR>
          <%
            } // end for (STANDARD EXCLUSION PS loop)   

            // rebuild the CUSTOM EXCLUSION PS
            for (int i = 0; i < tcData.getCustomExclusionPS().size(); i++) {
                Vector tcElement = tcData.getCustomExclusionPS(i);
                                                 
                // this is a custom product set TC
                // get the catentry/catgroups from the databean
                CustomProductSetDataBean cpsdb = (CustomProductSetDataBean)tcElement.elementAt(ProductSetTCDataBean.PRODUCTSET_TC_PRODUCTSET_SELECTIONS);
                // create the catalog entries
                for (int j = 0; j < cpsdb.getCatalogEntries().size(); j++) {
		    try {
			 CatalogEntryAccessBean ceab = (CatalogEntryAccessBean)cpsdb.getCatalogEntry(j);
                         String partNumber = ceab.getPartNumber();
                         String displayText = partNumber;
                         try {
                              CatalogEntryDescriptionAccessBean cedab = ceab.getDescription(new Integer(fLanguageId));
                              displayText = cedab.getShortDescription() + " (" + partNumber + ")";
                         }
                         catch (Exception e) {
                              // if you can't get the NLV short description for the catentry, 
                              // then use just use the SKU as the displayText
                              // this logic was defaulted above...
                         }  
          %>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
          <%       }
                   catch(Exception e) {
                   }
                } // end for
          
                // create the catalog groups
                for (int j = 0; j < cpsdb.getCatalogGroups().size(); j++) {
		    try {
		        CatalogGroupAccessBean cgab = (CatalogGroupAccessBean)cpsdb.getCatalogGroup(j);
                        String identifier = cgab.getIdentifier();
                        String displayText = identifier;
                        try {
                             CatalogGroupDescriptionAccessBean cgdab = cgab.getDescription(new Integer(fLanguageId));
                             displayText = cgdab.getName();
                        }
                        catch (Exception e) {
                             // if you can't get the NLV catgroup name for the catgroup, 
                             // then use the catgroup identifier as the displayText
                             // this logic was defaulted above...
                        }  
          %>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
          <%       }
                   catch(Exception e) {
                   }
                } // end for
             } // end for (CUSTOM EXCLUSION PS loop)
	    } // end else
	%>
	<BR>
	<% if (tcData.getCustomInclusionPS().size() + 
		tcData.getStandardInclusionPS().size() == 0) { %>
		<%= contractsRB.get("summaryProductConstraintsInclusionNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryProductConstraintsInclusionList") %><BR>
	<%
            // rebuild the STANDARD INCLUSION PS based on the saved contract
            for (int i = 0; i < tcData.getStandardInclusionPS().size(); i++) {
                Vector tcElement = tcData.getStandardInclusionPS(i);
                // this is a standard product set TC
	%>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= tcElement.elementAt(ProductSetTCDataBean.PRODUCTSET_TC_PRODUCTSET_POLICY_SHORT_DESCRIPTION) %></I><BR>
        <%
            } // end for (STANDARD INCLUSION PS loop)  

            // rebuild the CUSTOM INCLUSION PS
            for (int i = 0; i < tcData.getCustomInclusionPS().size(); i++) {
                Vector tcElement = tcData.getCustomInclusionPS(i);
                                                 
                // this is a custom product set TC
                // get the catentry/catgroups from the databean
                CustomProductSetDataBean cpsdb = (CustomProductSetDataBean)tcElement.elementAt(ProductSetTCDataBean.PRODUCTSET_TC_PRODUCTSET_SELECTIONS);
                // create the catalog entries
                for (int j = 0; j < cpsdb.getCatalogEntries().size(); j++) {
		    try {
			 CatalogEntryAccessBean ceab = (CatalogEntryAccessBean)cpsdb.getCatalogEntry(j);
                         String partNumber = ceab.getPartNumber();
                         String displayText = partNumber;
                         try {
                              CatalogEntryDescriptionAccessBean cedab = ceab.getDescription(new Integer(fLanguageId));
                              displayText = cedab.getShortDescription() + " (" + partNumber + ")";
                         }
                         catch (Exception e) {
                              // if you can't get the NLV short description for the catentry, 
                              // then use just use the SKU as the displayText
                              // this logic was defaulted above...
                         }  
          %>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
          <%       }
                   catch(Exception e) {
                   }
                } // end for
          
                // create the catalog groups
                for (int j = 0; j < cpsdb.getCatalogGroups().size(); j++) {
		    try {
		        CatalogGroupAccessBean cgab = (CatalogGroupAccessBean)cpsdb.getCatalogGroup(j);
                        String identifier = cgab.getIdentifier();
                        String displayText = identifier;
                        try {
                             CatalogGroupDescriptionAccessBean cgdab = cgab.getDescription(new Integer(fLanguageId));
                             displayText = cgdab.getName();
                        }
                        catch (Exception e) {
                             // if you can't get the NLV catgroup name for the catgroup, 
                             // then use the catgroup identifier as the displayText
                             // this logic was defaulted above...
                        }  
          %>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayText %></I><BR>
          <%       }
                   catch(Exception e) {
                   }
                } // end for
             } // end for (CUSTOM INCLUSION PS loop)
	    } // end else
	  %>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	ShippingTCShippingModeDataBean tcData = new ShippingTCShippingModeDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>

  <H1><%= contractsRB.get("contractShippingModePanelPrompt") %></H1>
	<% if (tcData.getShippingMode().size() == 0) { %>
		<%= contractsRB.get("summaryShippingModesNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryShippingModesAllowed") %><BR>
	<%	for (int i = 0; i < tcData.getShippingMode().size(); i++) {
			Vector tcElement = tcData.getShippingMode(i);
			PolicyDataBean pdb = new PolicyDataBean();
			pdb.setId(new Long((String)tcElement.elementAt(1)));
			pdb.setLanguageId(new Integer(fLanguageId));
			pdb.populate();
			//DataBeanManager.activate(pdb, request);
	%>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= pdb.getShortDescription() %></I><BR>
	<%	}
	   } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	ShippingTCShippingChargeDataBean tcData = new ShippingTCShippingChargeDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>

  <H1><%= contractsRB.get("contractShippingChargePanelPrompt") %></H1>
	<% if (tcData.getShippingCharge().size() == 0) { %>
		<%= contractsRB.get("summaryShippingChargeTypeNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryShippingChargeTypeAllowed") %><BR>
	<%				
		for (int i = 0; i < tcData.getShippingCharge().size(); i++) {
			Vector tcElement = tcData.getShippingCharge(i);
			PolicyDataBean pdb = new PolicyDataBean();
			pdb.setId(new Long((String)tcElement.elementAt(1)));
			pdb.setLanguageId(new Integer(fLanguageId));
			pdb.populate();
			//DataBeanManager.activate(pdb, request);
	%>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= pdb.getShortDescription() %></I><BR>
	<%	}
	   } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	ShippingTCShipToAddressDataBean tcData = new ShippingTCShipToAddressDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>

  <H1><%= contractsRB.get("contractShippingAddressPanelPrompt") %></H1>
	<% if (tcData.getShippingAddress().size() == 0) { %>
		<%= contractsRB.get("summaryShippingAddressesNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryShippingAddressesAllowed") %><BR>
	<%					
		for (int i = 0; i < tcData.getShippingAddress().size(); i++) {
			Vector tcElement = tcData.getShippingAddress(i);
			AddressDataBean adb = new AddressDataBean();
			adb.setNickName((String)tcElement.elementAt(1));
			adb.populate();
			//DataBeanManager.activate(adb, request);
	%>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= adb.getNickName() %></I><BR>
			
	<%		String strAddress1 = adb.getAddress1();
			String strAddress2 = adb.getAddress2();
			String strAddress3 = adb.getAddress3();
			String strCity = adb.getCity();
			String strState = adb.getState();
			String strCountry = adb.getCountry();
			String strZipCode = adb.getZipCode();
	
			if (strAddress2 == null) strAddress2 = "";
			if (strAddress3 == null) strAddress3 = "";
			if (strState == null) strState = ""; %>

		<% 	if (fLocale.toString().equals("ja_JP")||fLocale.toString().equals("ko_KR")||fLocale.toString().equals("zh_CN")||fLocale.toString().equals("zh_TW")) { %>

				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strCountry%>&nbsp;<%=strZipCode%></I><BR>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strState%><%=strCity%></I><BR>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strAddress1%>&nbsp;<%=strAddress2%>&nbsp;<%=strAddress3%></I><br><br>
			
		<% 	} else if (fLocale.toString().equals("fr_FR")||fLocale.toString().equals("de_DE")){ %>
	     
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strAddress1%>&nbsp;<%=strAddress2%>&nbsp;<%=strAddress3%></I><br>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strZipCode%>&nbsp;<%=strCity%></I><BR>
				<% if (fLocale.toString().equals("de_DE")) { %>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strState%></I><BR>
				<% } %>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strCountry%>&nbsp;</I><br><br>
		<% 	} else { %>
			
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strAddress1%>&nbsp;<%=strAddress2%>&nbsp;<%=strAddress3%></I><br>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%></I> <BR>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%=strCountry%>&nbsp;</I><br><br>
		<% 	} %>
		
	<%	}
	   } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
    	PaymentTCDataBean ptc = new PaymentTCDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(ptc, request);
%>
  <H1><%= contractsRB.get("contractPaymentTitle") %></H1>
	<%
    		String[] displayName = ptc.getDisplayName();
		if (displayName == null || displayName.length == 0) { 
	%>
		<%= contractsRB.get("summaryPaymentListNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryPaymentList") %><BR>
	<%  			  
		  for (int i = 0; i < displayName.length; i++) {
	%>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= displayName[i] %></I><BR>
	<%  			    
		  }
    		}
	%>

	<%
	ContractDataBean contract = new ContractDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(contract, request);
	if (contract.getCreditLineAllowed()) {
	%>
		<%= contractsRB.get("summaryPaymentCreditAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryPaymentCreditNotAllowed") %><BR>
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>


<% try {
	ReturnTCDataBean tcData = new ReturnTCDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tcData, request);
%>
  <H1><%= contractsRB.get("contractReturnChargePanelPrompt") %></H1>
	<% if (tcData.getReturnChargeReferenceNumber().length() == 0) { %>
		<%= contractsRB.get("summaryReturnsNotAllowed") %><BR>
	<% } else { 
			PolicyDataBean pdbCharge = new PolicyDataBean();
			pdbCharge.setId(new Long(tcData.getReturnChargePolicyNumber()));
			pdbCharge.setLanguageId(new Integer(fLanguageId));
			pdbCharge.populate();
			PolicyDataBean pdbApproval = new PolicyDataBean();
			pdbApproval.setId(new Long(tcData.getReturnApprovalPolicyNumber()));
			pdbApproval.setLanguageId(new Integer(fLanguageId));
			pdbApproval.populate();
	%>
		<%= contractsRB.get("summaryReturnsText") %> <I><%= pdbCharge.getShortDescription() %></I><BR>
		<%= contractsRB.get("summaryReturnsApproval") %> <I><%= pdbApproval.getShortDescription() %></I><BR>
	<% } %>

  <H1><%= contractsRB.get("contractReturnPaymentPanelPrompt") %></H1>
	<% if (tcData.getReturnPaymentReferenceNumbers() == null || tcData.getReturnPaymentReferenceNumbers().length == 0) { %>
		<%= contractsRB.get("summaryReturnsPaymentsNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryReturnsPaymentAllowed") %><BR>
	<%	for (int i = 0; i < tcData.getReturnPaymentReferenceNumbers().length; i++) { 
			PolicyDataBean pdbPayment = new PolicyDataBean();
			pdbPayment.setId(new Long(tcData.getReturnPaymentPolicyNumber(i)));
			pdbPayment.setLanguageId(new Integer(fLanguageId));
			pdbPayment.populate();
	%>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= pdbPayment.getShortDescription() %></I><BR>
	<% 	}
	   } %>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	OrderApprovalTCDataBean tc = new OrderApprovalTCDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(tc, request);
%>
  <H1><%= contractsRB.get("contractOrderApprovalHeading") %></H1>
	<% if (tc.getHasOrderApproval() == false) { %>
		<%= contractsRB.get("summaryOrderApprovalNotAllowed") %><BR>
	<% } else { %>
		<SCRIPT>changeSpecialText('<%= contractsRB.get("summaryOrderApprovalAllowed") %>',
						false,
						parent.numberToStr(<%= tc.getValue() %>, <%= fLanguageId %>, 0),
						'<%= tc.getCurrency() %>');
		</SCRIPT>
		
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	AwardCollectionTCDataBean tc = new AwardCollectionTCDataBean(new Long(contractId));
	DataBeanManager.activate(tc, request);
%>
  <H1><%= contractsRB.get("AwardCollectionTCHeading") %></H1>
	<% if (tc.getHasAwardCollectionTC() == false) { %>
		<%= contractsRB.get("summaryAwardCollectionNotAllowed") %><BR>
	<% } else { %>
		<SCRIPT>changeSpecialText('<%= contractsRB.get("summaryAwardCollectionAllowed") %>',
						false,
						'<%= tc.getPoint() %>',
						parent.numberToStr(<%= tc.getValue() %>, <%= fLanguageId %>, 0),
						'<%= tc.getCurrency() %>');
		</SCRIPT>
		
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	AwardRedemptionTCDataBean tc = new AwardRedemptionTCDataBean(new Long(contractId));
	DataBeanManager.activate(tc, request);
%>
  <H1><%= contractsRB.get("AwardRedemptionTCHeading") %></H1>
	<% if (tc.getHasAwardRedemptionTC() == false) { %>
		<%= contractsRB.get("summaryAwardRedemptionNotAllowed") %><BR>
	<% } else { %>
		<SCRIPT>changeSpecialText('<%= contractsRB.get("summaryAwardRedemptionAllowed") %>',
						false,
						'<%= tc.getPoint() %>',
						parent.numberToStr(<%= tc.getValue() %>, <%= fLanguageId %>, 0),
						'<%= tc.getCurrency() %>');
		</SCRIPT>
		
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	ContractDataBean cdb = new ContractDataBean(new Long(contractId), new Integer(fLanguageId));
	DataBeanManager.activate(cdb, request);
%>
  <H1><%= contractsRB.get("contractDocumentationPanelPrompt") %></H1>
	<% if (cdb.getContractAttachments().size() == 0) { %>
		<%= contractsRB.get("summaryAttachmentsNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryAttachmentsAllowed") %><BR>
		<%	Vector docs = cdb.getContractAttachments();
			for (int index = 0; index < docs.size(); index++) {
		%>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= (String)docs.elementAt(index) %></I><BR>
		<%	} %>
	<% } %>

  <H1><%= contractsRB.get("contractRemarksTitle") %></H1>
	<% if (cdb.getContractComment() == null || cdb.getContractComment().length() == 0) { %>
		<%= contractsRB.get("summaryContractRemarksNotAllowed") %><BR>
	<% } else { %>
		<I><SCRIPT>document.writeln(decodeNewLinesForHtml('<%= UIUtil.toJavaScript(cdb.getContractComment()) %>'))</SCRIPT></I><BR>
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% if (contractAccountId != null) { %>
<H1><%= contractsRB.get("accountSummaryTitle") %></H1>
<% try {
    AccountDataBean account = new AccountDataBean(contractAccountId, new Integer(fLanguageId));
    account.setContractId(contractId);
    DataBeanManager.activate(account, request);
%>
  <H1><%= contractsRB.get("accountCustomerPanelTitle") %></H1>

	<%= contractsRB.get("summaryAccountCustomerOrganization") %> <I><%= account.getCustomerName() %></I><BR>
	<%= contractsRB.get("summaryAccountCustomerContact") %> <I><%= account.getCustomerContactName() %></I><BR>
	<%= contractsRB.get("summaryAccountCustomerContactInformation") %> <I><%= account.getCustomerContactInformation() %></I><BR>
	<% if (account.getAllowCatalogPurchases() == true) { %>
		<%= contractsRB.get("summaryAccountPurchasesAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryAccountPurchasesNotAllowed") %><BR>
	<% } %>

  <H1><%= contractsRB.get("accountRepresentativePanelTitle") %></H1>

	<%= contractsRB.get("summaryAccountRepresentativeOrganization") %> <I><%= account.getSellingOrgName() %></I><BR>
	<%= contractsRB.get("summaryAccountRepresentativeDepartment") %> <I><%= account.getRepresentativeName() %></I><BR>
	<%= contractsRB.get("summaryAccountRepresentativeRep") %> <I><%= account.getRepresentativeContactName() %></I><BR>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	PurchaseOrderTCDataBean potc = new PurchaseOrderTCDataBean(contractAccountId, new Integer(fLanguageId));
	DataBeanManager.activate(potc, request);

  	String[] POBNumber = potc.getPOBNumber();
	String[] POLNumber = potc.getPOLNumber();
  	String[] POLCurrency = potc.getPOLCurrency();
	String[] POLValue = potc.getPOLValue();
%>
  <H1><%= contractsRB.get("contractPurchaseOrderTitle") %></H1>
	<% if (potc.getPOIndividual() == 1) { %>
		<%= contractsRB.get("summaryPurchaseOrderIndividualAllowed") %><BR>
		<%= contractsRB.get("summaryPurchaseOrderUniquenessAllowed") %><BR>
	<% } else if (potc.getPOIndividual() == 0) { %>
		<%= contractsRB.get("summaryPurchaseOrderIndividualAllowed") %><BR>
		<%= contractsRB.get("summaryPurchaseOrderUniquenessNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryPurchaseOrderIndividualNotAllowed") %><BR>
	<% } %>
	
	<% if (potc.getPOLNumber() != null) {
	     for (int i = 0; i < potc.getPOLNumber().length; i++) { %>
		<SCRIPT>changeSpecialText('<%= UIUtil.toJavaScript((String)contractsRB.get("summaryPurchaseOrderSpendingAllowed")) %>',
						false,
						'<%= UIUtil.toJavaScript((String)POLNumber[i]) %>',
						parent.numberToCurrency(<%= POLValue[i] %>, "<%= POLCurrency[i] %>", "<%= fLanguageId %>"),
						'<%= POLCurrency[i] %>');
		</SCRIPT>
		<BR>
	<%   }
	   } %>

	<% if (potc.getPOBNumber() != null) {
	     for (int i = 0; i < potc.getPOBNumber().length; i++) { %>
		<SCRIPT>changeSpecialText('<%= UIUtil.toJavaScript((String)contractsRB.get("summaryPurchaseOrderSpendingNotAllowed")) %>',
						false,
						'<%= UIUtil.toJavaScript((String)POBNumber[i]) %>');
		</SCRIPT>
		<BR>
	<%   }
	   } %>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	InvoicingTCDataBean tc = new InvoicingTCDataBean(contractAccountId, new Integer(fLanguageId));
	DataBeanManager.activate(tc, request);
%>
  <H1><%= contractsRB.get("contractInvoicingPanelPrompt") %></H1>
	<% if (!tc.getHasEMail() && !tc.getHasInTheBox() && !tc.getHasRegularMail()) { %>
		<%= contractsRB.get("summaryInvoicingNotAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryInvoicingAllowed") %><BR>
		<% if (tc.getHasEMail()) { %>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= contractsRB.get("contractInvoicingEmail") %></I><BR>
		<% }
		   if (tc.getHasInTheBox()) { %>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= contractsRB.get("contractInvoicingInTheBox") %></I><BR>
		<% }
		   if (tc.getHasRegularMail()) { %>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<I><%= contractsRB.get("contractInvoicingRegularMail") %></I><BR>
	<% 	   }
	   } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
	PaymentTCDataBean ptc = new PaymentTCDataBean(contractAccountId, new Integer(fLanguageId));
	DataBeanManager.activate(ptc, request);
%>
  <H1><%= contractsRB.get("accountFinancialFormPanelTitle") %></H1>
	<%
		String[] displayName = ptc.getDisplayName();
		if (displayName != null && displayName.length > 0) {
	%>
		<%= contractsRB.get("summaryFinancialCreditLineAllowed") %><BR>
	<% } else { %>
		<%= contractsRB.get("summaryFinancialCreditLineNotAllowed") %><BR>
	<% } %>

<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% try {
    AccountDataBean account = new AccountDataBean(contractAccountId, new Integer(fLanguageId));
    account.setContractId(contractId);
    DataBeanManager.activate(account, request);
%>

  <H1><%= contractsRB.get("accountRemarksTitle") %></H1>
	<% if (account.getAccountRemarks() == null || account.getAccountRemarks().length() == 0) { %>
		<%= contractsRB.get("summaryAccountRemarksNotAllowed") %><BR>
	<% } else { %>
		<I><SCRIPT>document.writeln(decodeNewLinesForHtml('<%= UIUtil.toJavaScript(account.getAccountRemarks()) %>'))</SCRIPT></I><BR>
	<% } %>
<% } catch (Exception e) {
	   out.println(e);
   }
%>

<% } // end if for contractAccountId is not null %>

<BR>
</BODY>
</HTML>

