package com.ibm.commerce.contract.objimpl;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------

import java.rmi.*;
import javax.ejb.*;
import javax.naming.*;
import com.ibm.commerce.contract.objects.*;

public class AwardBeanImpl extends com.ibm.commerce.base.objects.ECEntityBean {
	final static long serialVersionUID = 3206093459760846163L;
	public Long memberId;
	public Integer point;
	public Long tradingId;

/**
 * ejbCreate method for a CMP entity bean
 * @param argMemberId java.lang.Long
 * @param argTradingId java.lang.Long
 * @exception javax.ejb.CreateException The exception description.
 * @exception java.rmi.RemoteException The exception description.
 */
public void ejbCreate(Long argMemberId, Long argTradingId) throws javax.ejb.CreateException, java.rmi.RemoteException {
	initializeFields();
	// All CMP fields should be initialized here.
	this.memberId = argMemberId;
	this.tradingId = argTradingId;
	this.point = new Integer(0);
}
public boolean fulfills(Long member, java.lang.String relationship) throws java.lang.Exception, java.rmi.RemoteException {
	if ("beneficiary".equalsIgnoreCase(relationship))
	{
		return member.equals(this.getMemberId());
	}
	
	return false;
}
/**
 * Getter method for memberId
 * @return java.lang.Long
 */
public java.lang.Long getMemberId() {
	return memberId;
}
	public java.lang.Long getOwner() throws java.lang.Exception, java.rmi.RemoteException
	{
		// Return the owner of resource. 
		// The owner of resource should be the same as or the descendent of the owner of the access control policy. 
		// Since we will define our policy to access the award at the seller side, we return the owner of contract(seller side) as the owner of award.
		ContractAccessBean abContract = new ContractAccessBean();
		abContract.setInitKey_referenceNumber(this.tradingId.toString());
		return abContract.getOwnerReferenceNumberInEJBType();
	}
/**
 * Getter method for point
 * @return java.lang.Integer
 */
public java.lang.Integer getPoint() {
	return point;
}
/**
 * Getter method for tradingId
 * @return java.lang.Long
 */
public java.lang.Long getTradingId() {
	return tradingId;
}
/**
 * Setter method for memberId
 * @param newValue java.lang.Long
 */
public void setMemberId(java.lang.Long newValue) {
	this.memberId = newValue;
}
/**
 * Setter method for point
 * @param newValue java.lang.Integer
 */
public void setPoint(java.lang.Integer newValue) {
	this.point = newValue;
}
/**
 * Setter method for tradingId
 * @param newValue java.lang.Long
 */
public void setTradingId(java.lang.Long newValue) {
	this.tradingId = newValue;
}
}
