package com.mycompany.award;

//********************************************************************
//*-------------------------------------------------------------------
//* Sample Source
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2002
//*
//* The source code for this program is not published or otherwise
//* divested of its trade secrets, irrespective of what has been
//* deposited with the US Copyright Office.
//*
//*--------------------------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been thoroughly tested
//* under all conditions.  IBM, therefore, cannot guarantee its reliability, 
//* serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands and products 
//* in order to illustrate concepts as completely as possible.  All of these names
//* are fictitious and any similarity to the names and addresses used by actual persons 
//* or business enterprises is entirely coincidental.
//*--------------------------------------------------------------------------------------

import com.ibm.commerce.tools.contract.beans.ContractDataBean;
import com.ibm.commerce.contract.helper.ECContractConstants;
import com.ibm.commerce.command.CommandContext;
import com.ibm.commerce.beans.SmartDataBean;
import com.ibm.commerce.security.Delegator;
import com.ibm.commerce.contract.objects.TermConditionAccessBean;
import com.ibm.commerce.contract.objects.AwardCollectionTCAccessBean;
import java.util.Enumeration;

public class AwardCollectionTCDataBean extends AwardCollectionTCAccessBean implements SmartDataBean, Delegator {
	private java.lang.Long contractId;

	private boolean hasAwardCollectionTC = false;
	
	private CommandContext iCommandContext;
	
	
/**
 * AwardCollectionTCDataBean default constructor.
 */
public AwardCollectionTCDataBean() {
}
/**
 * AwardCollectionTCDataBean constructor.
 */
public AwardCollectionTCDataBean(Long newContractId) {
	contractId = newContractId;
}
/**
 * Returns the current command's context
 * @return com.ibm.commerce.command.CommandContext
 */
public CommandContext getCommandContext() 
{
	return iCommandContext;
}
public Long getContractId() {
	return contractId;
}
/**
 * Access Control
 * @return com.ibm.commerce.accesscontrol.policymanager.Protectable
 */
public com.ibm.commerce.security.Protectable getDelegate() throws java.lang.Exception {
	return new ContractDataBean(contractId, getCommandContext().getLanguageId());
}
/**
 * Does the term and condition exist in the contract
 * @return boolean
 */
public boolean getHasAwardCollectionTC() {
	return hasAwardCollectionTC;
}
/**
 * Get the reference number of the policy - not implemented
 * @return java.lang.String
 */
public String getPolicyReferenceNumber() {
	try {
			// code 
	} catch (Exception e) {
	}
	return "";
}
/**
 * Gets request properties
 * @return null
 */
public com.ibm.commerce.datatype.TypedProperty getRequestProperties() {
	return null;
}
/*
 * populate the attributes from TermConditionAccessBean
 */
public void populate() throws Exception {
	
		Enumeration AwardCollectionTCEnum = new TermConditionAccessBean().findByTradingAndTCSubType(contractId, "AwardCollectionTC");
		if (AwardCollectionTCEnum != null) {
				// assume a contract only has one AwardCollectionTC for this example
				setEJBRef(((TermConditionAccessBean)AwardCollectionTCEnum.nextElement()).getEJBRef());
				refreshCopyHelper();
				hasAwardCollectionTC = true;
		}			

}
/**
 * Set the command context
 * @param newICommandContext com.ibm.commerce.command.CommandContext
 */
public void setCommandContext(com.ibm.commerce.command.CommandContext newICommandContext) {
	iCommandContext = newICommandContext;
}
/**
 * Set the contract id
 * @param argContractId java.lang.String
 */
public void setContractId(String argContractId) 
{
	contractId = new Long(argContractId);
}
/*
 * Sets the request properties.
 * @param param com.ibm.commerce.datatype.TypedProperty
 */
public void setRequestProperties(com.ibm.commerce.datatype.TypedProperty param) {

}
}
